javax.media.opengl

## Interface GL3

- All Superinterfaces:
    GL, GL2ES2, GL2ES3, GL2GL3, GL3ES3, GLBase
  All Known Subinterfaces:
    GL3bc, GL4, GL4bc
  All Known Implementing Classes:
    DebugGL2, DebugGL3, DebugGL3bc, DebugGL4, DebugGL4bc, TraceGL2, TraceGL3, TraceGL3bc, TraceGL4, TraceGL4bc

      public interface GL3
      extends GL3ES3, GL2GL3

  This interface contains all OpenGL [ 3.1 .. 3.3 ] core methods, as well as most of it's extensions defined at the time of this specification.

  Note: OpenGL [ 3.1 .. 3.3 ] core profile does not includes fixed point functionality.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB` Part of `GL_ARB_texture_compression_bptc`
    `static int` | `GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB` Part of `GL_ARB_texture_compression_bptc`
    `static int` | `GL_COMPRESSED_RGBA_BPTC_UNORM_ARB` Part of `GL_ARB_texture_compression_bptc`
    `static int` | `GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB` Part of `GL_ARB_texture_compression_bptc`
    `static int` | `GL_CONTEXT_COMPATIBILITY_PROFILE_BIT` Part of `GL_VERSION_3_2`
    `static int` | `GL_CONTEXT_CORE_PROFILE_BIT` Part of `GL_VERSION_3_2`
    `static int` | `GL_CONTEXT_PROFILE_MASK` Part of `GL_VERSION_3_2`
    `static int` | `GL_DEPTH_CLAMP` Part of `GL_VERSION_3_2`, `GL_ARB_depth_clamp`
    `static int` | `GL_FIRST_VERTEX_CONVENTION` Part of `GL_VERSION_3_2`, `GL_ARB_provoking_vertex`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_LAYERED` Part of `GL_VERSION_3_2`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS` Part of `GL_VERSION_3_2`
    `static int` | `GL_GEOMETRY_INPUT_TYPE` Part of `GL_VERSION_3_2`
    `static int` | `GL_GEOMETRY_OUTPUT_TYPE` Part of `GL_VERSION_3_2`
    `static int` | `GL_GEOMETRY_SHADER` Part of `GL_VERSION_3_2`
    `static int` | `GL_GEOMETRY_VERTICES_OUT` Part of `GL_VERSION_3_2`
    `static int` | `GL_INT_SAMPLER_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_LAST_VERTEX_CONVENTION` Part of `GL_VERSION_3_2`, `GL_ARB_provoking_vertex`
    `static int` | `GL_LINE_STRIP_ADJACENCY` Part of `GL_VERSION_3_2`
    `static int` | `GL_LINES_ADJACENCY` Part of `GL_VERSION_3_2`
    `static int` | `GL_MAX_COLOR_TEXTURE_SAMPLES` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_MAX_DEPTH_TEXTURE_SAMPLES` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_MAX_DUAL_SOURCE_DRAW_BUFFERS` Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`
    `static int` | `GL_MAX_GEOMETRY_INPUT_COMPONENTS` Part of `GL_VERSION_3_2`
    `static int` | `GL_MAX_GEOMETRY_OUTPUT_COMPONENTS` Part of `GL_VERSION_3_2`
    `static int` | `GL_MAX_GEOMETRY_OUTPUT_VERTICES` Part of `GL_VERSION_3_2`
    `static int` | `GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS` Part of `GL_VERSION_3_2`
    `static int` | `GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS` Part of `GL_VERSION_3_2`
    `static int` | `GL_MAX_GEOMETRY_UNIFORM_COMPONENTS` Part of `GL_VERSION_3_2`
    `static int` | `GL_MAX_INTEGER_SAMPLES` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_MAX_SAMPLE_MASK_WORDS` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_ONE_MINUS_SRC1_ALPHA` Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`
    `static int` | `GL_ONE_MINUS_SRC1_COLOR` Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`
    `static int` | `GL_PROGRAM_POINT_SIZE` Part of `GL_VERSION_3_2`
    `static int` | `GL_PROVOKING_VERTEX` Part of `GL_VERSION_3_2`, `GL_ARB_provoking_vertex`
    `static int` | `GL_PROXY_TEXTURE_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION` Part of `GL_VERSION_3_2`, `GL_ARB_provoking_vertex`
    `static int` | `GL_SAMPLE_MASK` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_SAMPLE_MASK_VALUE` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_SAMPLE_POSITION` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_SAMPLER_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_SAMPLER_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_SRC1_COLOR` Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`
    `static int` | `GL_TEXTURE_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_TEXTURE_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_TEXTURE_BINDING_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_TEXTURE_CUBE_MAP_SEAMLESS` Part of `GL_ARB_seamless_cube_map`, `GL_VERSION_3_2`
    `static int` | `GL_TEXTURE_FIXED_SAMPLE_LOCATIONS` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_TEXTURE_SAMPLES` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_TEXTURE_SWIZZLE_RGBA` Part of `GL_ARB_texture_swizzle`, `GL_VERSION_3_3`
    `static int` | `GL_TIME_ELAPSED` Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`
    `static int` | `GL_TIMESTAMP` Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`
    `static int` | `GL_TRIANGLE_STRIP_ADJACENCY` Part of `GL_VERSION_3_2`
    `static int` | `GL_TRIANGLES_ADJACENCY` Part of `GL_VERSION_3_2`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`

    - ### Fields inherited from interface javax.media.opengl.GL3ES3

      `GL_ALREADY_SIGNALED, GL_CONDITION_SATISFIED, GL_INT_2_10_10_10_REV, GL_MAX_FRAGMENT_INPUT_COMPONENTS, GL_MAX_SERVER_WAIT_TIMEOUT, GL_MAX_VERTEX_OUTPUT_COMPONENTS, GL_OBJECT_TYPE, GL_RGB10_A2UI, GL_SAMPLER_BINDING, GL_SIGNALED, GL_SYNC_CONDITION, GL_SYNC_FENCE, GL_SYNC_FLAGS, GL_SYNC_FLUSH_COMMANDS_BIT, GL_SYNC_GPU_COMMANDS_COMPLETE, GL_SYNC_STATUS, GL_TEXTURE_SWIZZLE_A, GL_TEXTURE_SWIZZLE_B, GL_TEXTURE_SWIZZLE_G, GL_TEXTURE_SWIZZLE_R, GL_TIMEOUT_EXPIRED, GL_UNSIGNALED, GL_VERTEX_ATTRIB_ARRAY_DIVISOR, GL_WAIT_FAILED`

    - ### Fields inherited from interface javax.media.opengl.GL2GL3

      `GL_BACK_LEFT, GL_BACK_RIGHT, GL_BGR, GL_BGR_INTEGER, GL_BGRA_INTEGER, GL_BLUE_INTEGER, GL_BUFFER_GPU_ADDRESS_NV, GL_CLAMP_READ_COLOR, GL_CLAMP_TO_BORDER, GL_CLIP_DISTANCE0, GL_CLIP_DISTANCE1, GL_CLIP_DISTANCE2, GL_CLIP_DISTANCE3, GL_CLIP_DISTANCE4, GL_CLIP_DISTANCE5, GL_CLIP_DISTANCE6, GL_CLIP_DISTANCE7, GL_COLOR_ARRAY_ADDRESS_NV, GL_COLOR_ARRAY_LENGTH_NV, GL_COMPRESSED_RED, GL_COMPRESSED_RED_RGTC1, GL_COMPRESSED_RG, GL_COMPRESSED_RG_RGTC2, GL_COMPRESSED_RGB, GL_COMPRESSED_RGBA, GL_COMPRESSED_SIGNED_RED_RGTC1, GL_COMPRESSED_SIGNED_RG_RGTC2, GL_COMPRESSED_SRGB, GL_COMPRESSED_SRGB_ALPHA, GL_COMPUTE_SHADER_BIT, GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT, GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT, GL_CONTEXT_FLAGS, GL_CONTINUOUS_AMD, GL_DEBUG_CATEGORY_API_ERROR_AMD, GL_DEBUG_CATEGORY_APPLICATION_AMD, GL_DEBUG_CATEGORY_DEPRECATION_AMD, GL_DEBUG_CATEGORY_OTHER_AMD, GL_DEBUG_CATEGORY_PERFORMANCE_AMD, GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD, GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD, GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD, GL_DEBUG_LOGGED_MESSAGES_AMD, GL_DEBUG_SEVERITY_HIGH_AMD, GL_DEBUG_SEVERITY_LOW_AMD, GL_DEBUG_SEVERITY_MEDIUM_AMD, GL_DECODE_EXT, GL_DEPTH_CLAMP_FAR_AMD, GL_DEPTH_CLAMP_NEAR_AMD, GL_DISCRETE_AMD, GL_DOUBLE, GL_DOUBLEBUFFER, GL_DRAW_BUFFER, GL_DRAW_INDIRECT_ADDRESS_NV, GL_DRAW_INDIRECT_LENGTH_NV, GL_DRAW_INDIRECT_UNIFIED_NV, GL_EDGE_FLAG_ARRAY_ADDRESS_NV, GL_EDGE_FLAG_ARRAY_LENGTH_NV, GL_ELEMENT_ARRAY_ADDRESS_NV, GL_ELEMENT_ARRAY_LENGTH_NV, GL_ELEMENT_ARRAY_UNIFIED_NV, GL_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD, GL_FACTOR_MAX_AMD, GL_FACTOR_MIN_AMD, GL_FILL, GL_FIXED_ONLY, GL_FOG_COORD_ARRAY_ADDRESS_NV, GL_FOG_COORD_ARRAY_LENGTH_NV, GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB, GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER, GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB, GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB, GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER, GL_FRAMEBUFFER_SRGB, GL_FRONT_LEFT, GL_FRONT_RIGHT, GL_GEOMETRY_INPUT_TYPE_ARB, GL_GEOMETRY_OUTPUT_TYPE_ARB, GL_GEOMETRY_SHADER_ARB, GL_GEOMETRY_VERTICES_OUT_ARB, GL_GPU_ADDRESS_NV, GL_GREEN_INTEGER, GL_INDEX_ARRAY_ADDRESS_NV, GL_INDEX_ARRAY_LENGTH_NV, GL_INT_SAMPLER_1D, GL_INT_SAMPLER_1D_ARRAY, GL_INT_SAMPLER_2D_RECT, GL_INT_SAMPLER_BUFFER, GL_INT_SAMPLER_BUFFER_AMD, GL_LEFT, GL_LINE, GL_LINE_STRIP_ADJACENCY_ARB, GL_LINE_WIDTH_GRANULARITY, GL_LINE_WIDTH_RANGE, GL_LINES_ADJACENCY_ARB, GL_LOWER_LEFT, GL_MAX_CLIP_DISTANCES, GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS, GL_MAX_DEBUG_LOGGED_MESSAGES_AMD, GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB, GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB, GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB, GL_MAX_GEOMETRY_UNIFORM_BLOCKS, GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB, GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB, GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS, GL_MAX_RECTANGLE_TEXTURE_SIZE, GL_MAX_SHADER_BUFFER_ADDRESS_NV, GL_MAX_TEXTURE_BUFFER_SIZE, GL_MAX_VARYING_FLOATS, GL_MAX_VERTEX_VARYING_COMPONENTS_ARB, GL_NAMED_STRING_LENGTH_ARB, GL_NAMED_STRING_TYPE_ARB, GL_NORMAL_ARRAY_ADDRESS_NV, GL_NORMAL_ARRAY_LENGTH_NV, GL_PACK_IMAGE_HEIGHT, GL_PACK_LSB_FIRST, GL_PACK_SKIP_IMAGES, GL_PACK_SWAP_BYTES, GL_POINT, GL_POINT_SIZE_GRANULARITY, GL_POINT_SIZE_RANGE, GL_POINT_SPRITE_COORD_ORIGIN, GL_POLYGON_MODE, GL_POLYGON_OFFSET_LINE, GL_POLYGON_OFFSET_POINT, GL_POLYGON_SMOOTH, GL_POLYGON_SMOOTH_HINT, GL_PRIMITIVE_RESTART, GL_PRIMITIVE_RESTART_INDEX, GL_PRIMITIVES_GENERATED, GL_PROGRAM_POINT_SIZE_ARB, GL_PROXY_TEXTURE_1D, GL_PROXY_TEXTURE_1D_ARRAY, GL_PROXY_TEXTURE_2D, GL_PROXY_TEXTURE_2D_ARRAY, GL_PROXY_TEXTURE_3D, GL_PROXY_TEXTURE_CUBE_MAP, GL_PROXY_TEXTURE_RECTANGLE, GL_QUADS, GL_QUERY_BY_REGION_NO_WAIT, GL_QUERY_BY_REGION_WAIT, GL_QUERY_COUNTER_BITS, GL_QUERY_NO_WAIT, GL_QUERY_WAIT, GL_R16, GL_R16_SNORM, GL_R3_G3_B2, GL_READ_ONLY, GL_READ_WRITE, GL_RED_SNORM, GL_REPLACE_VALUE_AMD, GL_RG_SNORM, GL_RG16, GL_RG16_SNORM, GL_RGB_SNORM, GL_RGB12, GL_RGB16, GL_RGB16_SNORM, GL_RGB4, GL_RGB5, GL_RGBA_SNORM, GL_RGBA12, GL_RGBA16, GL_RGBA16_SNORM, GL_RGBA2, GL_RIGHT, GL_SAMPLER_1D, GL_SAMPLER_1D_ARRAY, GL_SAMPLER_1D_ARRAY_SHADOW, GL_SAMPLER_1D_SHADOW, GL_SAMPLER_2D_RECT, GL_SAMPLER_2D_RECT_SHADOW, GL_SAMPLER_BUFFER, GL_SAMPLER_BUFFER_AMD, GL_SAMPLES_PASSED, GL_SCALED_RESOLVE_FASTEST_EXT, GL_SCALED_RESOLVE_NICEST_EXT, GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV, GL_SECONDARY_COLOR_ARRAY_LENGTH_NV, GL_SET_AMD, GL_SHADER_INCLUDE_ARB, GL_SKIP_DECODE_EXT, GL_SMOOTH_LINE_WIDTH_GRANULARITY, GL_SMOOTH_POINT_SIZE_GRANULARITY, GL_SRC1_ALPHA, GL_SRGB_DECODE_ARB, GL_STENCIL_BACK_OP_VALUE_AMD, GL_STENCIL_INDEX16, GL_STENCIL_OP_VALUE_AMD, GL_STEREO, GL_SUBSAMPLE_DISTANCE_AMD, GL_SYNC_CL_EVENT_ARB, GL_SYNC_CL_EVENT_COMPLETE_ARB, GL_SYNC_X11_FENCE_EXT, GL_TESSELLATION_FACTOR_AMD, GL_TESSELLATION_MODE_AMD, GL_TEXTURE_1D, GL_TEXTURE_1D_ARRAY, GL_TEXTURE_ALPHA_SIZE, GL_TEXTURE_ALPHA_TYPE, GL_TEXTURE_BINDING_1D, GL_TEXTURE_BINDING_1D_ARRAY, GL_TEXTURE_BINDING_BUFFER, GL_TEXTURE_BINDING_RECTANGLE, GL_TEXTURE_BLUE_SIZE, GL_TEXTURE_BLUE_TYPE, GL_TEXTURE_BORDER_COLOR, GL_TEXTURE_BUFFER, GL_TEXTURE_BUFFER_DATA_STORE_BINDING, GL_TEXTURE_COLOR_SAMPLES_NV, GL_TEXTURE_COMPRESSED, GL_TEXTURE_COMPRESSED_IMAGE_SIZE, GL_TEXTURE_COMPRESSION_HINT, GL_TEXTURE_COORD_ARRAY_ADDRESS_NV, GL_TEXTURE_COORD_ARRAY_LENGTH_NV, GL_TEXTURE_COVERAGE_SAMPLES_NV, GL_TEXTURE_DEPTH, GL_TEXTURE_DEPTH_SIZE, GL_TEXTURE_DEPTH_TYPE, GL_TEXTURE_GREEN_SIZE, GL_TEXTURE_GREEN_TYPE, GL_TEXTURE_HEIGHT, GL_TEXTURE_INTERNAL_FORMAT, GL_TEXTURE_LOD_BIAS, GL_TEXTURE_RECTANGLE, GL_TEXTURE_RED_SIZE, GL_TEXTURE_RED_TYPE, GL_TEXTURE_SHARED_SIZE, GL_TEXTURE_SRGB_DECODE_EXT, GL_TEXTURE_STENCIL_SIZE, GL_TEXTURE_WIDTH, GL_TRIANGLE_STRIP_ADJACENCY_ARB, GL_TRIANGLES_ADJACENCY_ARB, GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER, GL_UNPACK_LSB_FIRST, GL_UNPACK_SWAP_BYTES, GL_UNSIGNED_BYTE_2_3_3_REV, GL_UNSIGNED_BYTE_3_3_2, GL_UNSIGNED_INT_8_8_8_8, GL_UNSIGNED_INT_8_8_8_8_REV, GL_UNSIGNED_INT_SAMPLER_1D, GL_UNSIGNED_INT_SAMPLER_1D_ARRAY, GL_UNSIGNED_INT_SAMPLER_2D_RECT, GL_UNSIGNED_INT_SAMPLER_BUFFER, GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD, GL_UNSIGNED_SHORT_1_5_5_5_REV, GL_UNSIGNED_SHORT_4_4_4_4_REV, GL_UNSIGNED_SHORT_5_6_5_REV, GL_UPPER_LEFT, GL_VERTEX_ARRAY_ADDRESS_NV, GL_VERTEX_ARRAY_LENGTH_NV, GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV, GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV, GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV, GL_VERTEX_PROGRAM_POINT_SIZE`

    - ### Fields inherited from interface javax.media.opengl.GL2ES3

      `GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH, GL_ACTIVE_UNIFORM_BLOCKS, GL_ALL_BARRIER_BITS, GL_BLUE, GL_BUFFER_ACCESS_FLAGS, GL_BUFFER_MAP_LENGTH, GL_BUFFER_MAP_OFFSET, GL_COLOR, GL_COMPRESSED_RGBA_ASTC_10x10_KHR, GL_COMPRESSED_RGBA_ASTC_10x5_KHR, GL_COMPRESSED_RGBA_ASTC_10x6_KHR, GL_COMPRESSED_RGBA_ASTC_10x8_KHR, GL_COMPRESSED_RGBA_ASTC_12x10_KHR, GL_COMPRESSED_RGBA_ASTC_12x12_KHR, GL_COMPRESSED_RGBA_ASTC_4x4_KHR, GL_COMPRESSED_RGBA_ASTC_5x4_KHR, GL_COMPRESSED_RGBA_ASTC_5x5_KHR, GL_COMPRESSED_RGBA_ASTC_6x5_KHR, GL_COMPRESSED_RGBA_ASTC_6x6_KHR, GL_COMPRESSED_RGBA_ASTC_8x5_KHR, GL_COMPRESSED_RGBA_ASTC_8x6_KHR, GL_COMPRESSED_RGBA_ASTC_8x8_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR, GL_COPY_READ_BUFFER, GL_COPY_READ_BUFFER_BINDING, GL_COPY_WRITE_BUFFER, GL_COPY_WRITE_BUFFER_BINDING, GL_DEPTH, GL_DEPTH_COMPONENT32F, GL_DEPTH_STENCIL_ATTACHMENT, GL_DEPTH32F_STENCIL8, GL_DRAW_FRAMEBUFFER, GL_DRAW_FRAMEBUFFER_BINDING, GL_DYNAMIC_COPY, GL_DYNAMIC_READ, GL_FLOAT_32_UNSIGNED_INT_24_8_REV, GL_FLOAT_MAT2x3, GL_FLOAT_MAT2x4, GL_FLOAT_MAT3x2, GL_FLOAT_MAT3x4, GL_FLOAT_MAT4x2, GL_FLOAT_MAT4x3, GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE, GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE, GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE, GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE, GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE, GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE, GL_FRAMEBUFFER_DEFAULT, GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE, GL_FRAMEBUFFER_UNDEFINED, GL_GREEN, GL_INT_SAMPLER_2D, GL_INT_SAMPLER_2D_ARRAY, GL_INT_SAMPLER_3D, GL_INT_SAMPLER_CUBE, GL_INTERLEAVED_ATTRIBS, GL_INVALID_INDEX, GL_MAJOR_VERSION, GL_MAX, GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_COMBINED_UNIFORM_BLOCKS, GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS, GL_MAX_ELEMENTS_INDICES, GL_MAX_ELEMENTS_VERTICES, GL_MAX_FRAGMENT_UNIFORM_BLOCKS, GL_MAX_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_PROGRAM_TEXEL_OFFSET, GL_MAX_SAMPLES, GL_MAX_TEXTURE_LOD_BIAS, GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS, GL_MAX_UNIFORM_BLOCK_SIZE, GL_MAX_UNIFORM_BUFFER_BINDINGS, GL_MAX_VARYING_COMPONENTS, GL_MAX_VERTEX_UNIFORM_BLOCKS, GL_MAX_VERTEX_UNIFORM_COMPONENTS, GL_MIN, GL_MIN_PROGRAM_TEXEL_OFFSET, GL_MINOR_VERSION, GL_NUM_EXTENSIONS, GL_PACK_ROW_LENGTH, GL_PACK_SKIP_PIXELS, GL_PACK_SKIP_ROWS, GL_PIXEL_PACK_BUFFER, GL_PIXEL_PACK_BUFFER_BINDING, GL_PIXEL_UNPACK_BUFFER, GL_PIXEL_UNPACK_BUFFER_BINDING, GL_R16I, GL_R16UI, GL_R32I, GL_R32UI, GL_R8_SNORM, GL_R8I, GL_R8UI, GL_RASTERIZER_DISCARD, GL_READ_BUFFER, GL_READ_FRAMEBUFFER, GL_READ_FRAMEBUFFER_BINDING, GL_RED_INTEGER, GL_RENDERBUFFER_SAMPLES, GL_RG_INTEGER, GL_RG16I, GL_RG16UI, GL_RG32I, GL_RG32UI, GL_RG8_SNORM, GL_RG8I, GL_RG8UI, GL_RGB_INTEGER, GL_RGB16I, GL_RGB16UI, GL_RGB32I, GL_RGB32UI, GL_RGB8_SNORM, GL_RGB8I, GL_RGB8UI, GL_RGB9_E5, GL_RGBA_INTEGER, GL_RGBA16I, GL_RGBA16UI, GL_RGBA32I, GL_RGBA32UI, GL_RGBA8_SNORM, GL_RGBA8I, GL_RGBA8UI, GL_SAMPLER_2D_ARRAY_SHADOW, GL_SAMPLER_CUBE_SHADOW, GL_SEPARATE_ATTRIBS, GL_SIGNED_NORMALIZED, GL_SRGB8, GL_STATIC_COPY, GL_STATIC_READ, GL_STENCIL, GL_STREAM_COPY, GL_STREAM_READ, GL_TEXTURE_BASE_LEVEL, GL_TEXTURE_MAX_LEVEL, GL_TEXTURE_MAX_LOD, GL_TEXTURE_MIN_LOD, GL_TIMEOUT_IGNORED, GL_TRANSFORM_FEEDBACK_ACTIVE, GL_TRANSFORM_FEEDBACK_BUFFER, GL_TRANSFORM_FEEDBACK_BUFFER_BINDING, GL_TRANSFORM_FEEDBACK_BUFFER_MODE, GL_TRANSFORM_FEEDBACK_BUFFER_SIZE, GL_TRANSFORM_FEEDBACK_BUFFER_START, GL_TRANSFORM_FEEDBACK_PAUSED, GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN, GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH, GL_TRANSFORM_FEEDBACK_VARYINGS, GL_UNIFORM_ARRAY_STRIDE, GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES, GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS, GL_UNIFORM_BLOCK_BINDING, GL_UNIFORM_BLOCK_DATA_SIZE, GL_UNIFORM_BLOCK_INDEX, GL_UNIFORM_BLOCK_NAME_LENGTH, GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER, GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER, GL_UNIFORM_BUFFER, GL_UNIFORM_BUFFER_BINDING, GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT, GL_UNIFORM_BUFFER_SIZE, GL_UNIFORM_BUFFER_START, GL_UNIFORM_IS_ROW_MAJOR, GL_UNIFORM_MATRIX_STRIDE, GL_UNIFORM_NAME_LENGTH, GL_UNIFORM_OFFSET, GL_UNIFORM_SIZE, GL_UNIFORM_TYPE, GL_UNPACK_IMAGE_HEIGHT, GL_UNPACK_SKIP_IMAGES, GL_UNSIGNED_INT_5_9_9_9_REV, GL_UNSIGNED_INT_SAMPLER_2D, GL_UNSIGNED_INT_SAMPLER_2D_ARRAY, GL_UNSIGNED_INT_SAMPLER_3D, GL_UNSIGNED_INT_SAMPLER_CUBE, GL_UNSIGNED_INT_VEC2, GL_UNSIGNED_INT_VEC3, GL_UNSIGNED_INT_VEC4, GL_VERTEX_ARRAY_BINDING, GL_VERTEX_ATTRIB_ARRAY_INTEGER`

    - ### Fields inherited from interface javax.media.opengl.GL2ES2

      `GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_PROGRAM, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ALL_SHADER_BITS, GL_ANY_SAMPLES_PASSED, GL_ANY_SAMPLES_PASSED_CONSERVATIVE, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_BUFFER, GL_COLOR_ATTACHMENT1, GL_COLOR_ATTACHMENT10, GL_COLOR_ATTACHMENT11, GL_COLOR_ATTACHMENT12, GL_COLOR_ATTACHMENT13, GL_COLOR_ATTACHMENT14, GL_COLOR_ATTACHMENT15, GL_COLOR_ATTACHMENT2, GL_COLOR_ATTACHMENT3, GL_COLOR_ATTACHMENT4, GL_COLOR_ATTACHMENT5, GL_COLOR_ATTACHMENT6, GL_COLOR_ATTACHMENT7, GL_COLOR_ATTACHMENT8, GL_COLOR_ATTACHMENT9, GL_COMPARE_REF_TO_TEXTURE, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CONTEXT_FLAG_DEBUG_BIT, GL_CONTEXT_ROBUST_ACCESS, GL_CURRENT_PROGRAM, GL_CURRENT_QUERY, GL_CURRENT_VERTEX_ATTRIB, GL_DEBUG_CALLBACK_FUNCTION, GL_DEBUG_CALLBACK_USER_PARAM, GL_DEBUG_GROUP_STACK_DEPTH, GL_DEBUG_LOGGED_MESSAGES, GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH, GL_DEBUG_OUTPUT, GL_DEBUG_OUTPUT_SYNCHRONOUS, GL_DEBUG_SEVERITY_HIGH, GL_DEBUG_SEVERITY_LOW, GL_DEBUG_SEVERITY_MEDIUM, GL_DEBUG_SEVERITY_NOTIFICATION, GL_DEBUG_SOURCE_API, GL_DEBUG_SOURCE_APPLICATION, GL_DEBUG_SOURCE_OTHER, GL_DEBUG_SOURCE_SHADER_COMPILER, GL_DEBUG_SOURCE_THIRD_PARTY, GL_DEBUG_SOURCE_WINDOW_SYSTEM, GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR, GL_DEBUG_TYPE_ERROR, GL_DEBUG_TYPE_MARKER, GL_DEBUG_TYPE_OTHER, GL_DEBUG_TYPE_PERFORMANCE, GL_DEBUG_TYPE_POP_GROUP, GL_DEBUG_TYPE_PORTABILITY, GL_DEBUG_TYPE_PUSH_GROUP, GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_DRAW_BUFFER0, GL_DRAW_BUFFER1, GL_DRAW_BUFFER10, GL_DRAW_BUFFER11, GL_DRAW_BUFFER12, GL_DRAW_BUFFER13, GL_DRAW_BUFFER14, GL_DRAW_BUFFER15, GL_DRAW_BUFFER2, GL_DRAW_BUFFER3, GL_DRAW_BUFFER4, GL_DRAW_BUFFER5, GL_DRAW_BUFFER6, GL_DRAW_BUFFER7, GL_DRAW_BUFFER8, GL_DRAW_BUFFER9, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_BIT, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING, GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_10_10_10_2, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_3D_TEXTURE_SIZE, GL_MAX_COLOR_ATTACHMENTS, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_DEBUG_GROUP_STACK_DEPTH, GL_MAX_DEBUG_LOGGED_MESSAGES, GL_MAX_DEBUG_MESSAGE_LENGTH, GL_MAX_DRAW_BUFFERS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_LABEL_LENGTH, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_PROGRAM_BINARY_FORMATS, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PROGRAM, GL_PROGRAM_BINARY_FORMATS, GL_PROGRAM_BINARY_LENGTH, GL_PROGRAM_PIPELINE_BINDING, GL_PROGRAM_SEPARABLE, GL_QUERY, GL_QUERY_RESULT, GL_QUERY_RESULT_AVAILABLE, GL_R16F, GL_R32F, GL_R8, GL_RED, GL_RG, GL_RG16F, GL_RG32F, GL_RG8, GL_SAMPLER, GL_SAMPLER_2D, GL_SAMPLER_2D_SHADOW, GL_SAMPLER_3D, GL_SAMPLER_CUBE, GL_SHADER, GL_SHADER_BINARY_DMP, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STACK_OVERFLOW, GL_STACK_UNDERFLOW, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_TEXTURE_3D, GL_TEXTURE_BINDING_3D, GL_TEXTURE_COMPARE_FUNC, GL_TEXTURE_COMPARE_MODE, GL_TEXTURE_WRAP_R, GL_UNPACK_ROW_LENGTH, GL_UNPACK_SKIP_PIXELS, GL_UNPACK_SKIP_ROWS, GL_UNSIGNED_INT_10_10_10_2, GL_UNSIGNED_INT_2_10_10_10_REV, GL_UNSIGNED_NORMALIZED, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER, GL_VERTEX_SHADER_BIT`

    - ### Fields inherited from interface javax.media.opengl.GL

      `GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALPHA16F, GL_ALPHA32F, GL_ALPHA8, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BGRA, GL_BGRA8, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_STENCIL, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DEPTH24_STENCIL8, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_GUILTY_CONTEXT_RESET, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INNOCENT_CONTEXT_RESET, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LOSE_CONTEXT_ON_RESET, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NO_RESET_NOTIFICATION, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RESET_NOTIFICATION_STRATEGY, GL_RGB, GL_RGB10, GL_RGB10_A2, GL_RGB16F, GL_RGB32F, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA16F, GL_RGBA32F, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8_ALPHA8, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_IMMUTABLE_FORMAT, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNKNOWN_CONTEXT_RESET, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `glBindFragDataLocationIndexed(int program, int colorNumber, int index, String name)` Entry point to C language function: `void glBindFragDataLocationIndexed(GLuint program, GLuint colorNumber, GLuint index, const GLchar * name)` Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`
    `void` | `glColorP3ui(int type, int color)` Entry point to C language function: `void glColorP3ui(GLenum type, GLuint color)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glColorP3uiv(int type, int[] color, int color_offset)` Entry point to C language function: `void glColorP3uiv(GLenum type, const GLuint * color)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glColorP3uiv(int type, IntBuffer color)` Entry point to C language function: `void glColorP3uiv(GLenum type, const GLuint * color)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glColorP4ui(int type, int color)` Entry point to C language function: `void glColorP4ui(GLenum type, GLuint color)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glColorP4uiv(int type, int[] color, int color_offset)` Entry point to C language function: `void glColorP4uiv(GLenum type, const GLuint * color)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glColorP4uiv(int type, IntBuffer color)` Entry point to C language function: `void glColorP4uiv(GLenum type, const GLuint * color)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glDrawElementsBaseVertex(int mode, int count, int type, long indices_buffer_offset, int basevertex)` Entry point to C language function: `void glDrawElementsBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLint basevertex)` Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`
    `void` | `glDrawElementsInstancedBaseVertex(int mode, int count, int type, long indices_buffer_offset, int instancecount, int basevertex)` Entry point to C language function: `void glDrawElementsInstancedBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei instancecount, GLint basevertex)` Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`
    `void` | `glDrawRangeElementsBaseVertex(int mode, int start, int end, int count, int type, long indices_buffer_offset, int basevertex)` Entry point to C language function: `void glDrawRangeElementsBaseVertex(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices, GLint basevertex)` Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`
    `void` | `glFramebufferTexture(int target, int attachment, int texture, int level)` Entry point to C language function: `void glFramebufferTexture(GLenum target, GLenum attachment, GLuint texture, GLint level)` Part of `GL_VERSION_3_2`
    `int` | `glGetFragDataIndex(int program, String name)` Entry point to C language function: `GLint glGetFragDataIndex(GLuint program, const GLchar * name)` Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`
    `void` | `glGetMultisamplefv(int pname, int index, float[] val, int val_offset)` Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val)` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `void` | `glGetMultisamplefv(int pname, int index, FloatBuffer val)` Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val)` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `void` | `glGetQueryObjecti64v(int id, int pname, long[] params, int params_offset)` Entry point to C language function: `void glGetQueryObjecti64v(GLuint id, GLenum pname, GLint64 * params)` Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`
    `void` | `glGetQueryObjecti64v(int id, int pname, LongBuffer params)` Entry point to C language function: `void glGetQueryObjecti64v(GLuint id, GLenum pname, GLint64 * params)` Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`
    `void` | `glGetQueryObjectui64v(int id, int pname, long[] params, int params_offset)` Entry point to C language function: `void glGetQueryObjectui64v(GLuint id, GLenum pname, GLuint64 * params)` Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`
    `void` | `glGetQueryObjectui64v(int id, int pname, LongBuffer params)` Entry point to C language function: `void glGetQueryObjectui64v(GLuint id, GLenum pname, GLuint64 * params)` Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`
    `void` | `glGetSamplerParameterIiv(int sampler, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetSamplerParameterIiv(GLuint sampler, GLenum pname, GLint * params)` Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
    `void` | `glGetSamplerParameterIiv(int sampler, int pname, IntBuffer params)` Entry point to C language function: `void glGetSamplerParameterIiv(GLuint sampler, GLenum pname, GLint * params)` Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
    `void` | `glGetSamplerParameterIuiv(int sampler, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetSamplerParameterIuiv(GLuint sampler, GLenum pname, GLuint * params)` Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
    `void` | `glGetSamplerParameterIuiv(int sampler, int pname, IntBuffer params)` Entry point to C language function: `void glGetSamplerParameterIuiv(GLuint sampler, GLenum pname, GLuint * params)` Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
    `void` | `glMultiDrawElementsBaseVertex(int mode, IntBuffer count, int type, PointerBuffer indices, int drawcount, IntBuffer basevertex)` Entry point to C language function: `void glMultiDrawElementsBaseVertex(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * const * indices, GLsizei drawcount, const GLint * basevertex)` Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`
    `void` | `glMultiTexCoordP1ui(int texture, int type, int coords)` Entry point to C language function: `void glMultiTexCoordP1ui(GLenum texture, GLenum type, GLuint coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glMultiTexCoordP1uiv(int texture, int type, int[] coords, int coords_offset)` Entry point to C language function: `void glMultiTexCoordP1uiv(GLenum texture, GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glMultiTexCoordP1uiv(int texture, int type, IntBuffer coords)` Entry point to C language function: `void glMultiTexCoordP1uiv(GLenum texture, GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glMultiTexCoordP2ui(int texture, int type, int coords)` Entry point to C language function: `void glMultiTexCoordP2ui(GLenum texture, GLenum type, GLuint coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glMultiTexCoordP2uiv(int texture, int type, int[] coords, int coords_offset)` Entry point to C language function: `void glMultiTexCoordP2uiv(GLenum texture, GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glMultiTexCoordP2uiv(int texture, int type, IntBuffer coords)` Entry point to C language function: `void glMultiTexCoordP2uiv(GLenum texture, GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glMultiTexCoordP3ui(int texture, int type, int coords)` Entry point to C language function: `void glMultiTexCoordP3ui(GLenum texture, GLenum type, GLuint coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glMultiTexCoordP3uiv(int texture, int type, int[] coords, int coords_offset)` Entry point to C language function: `void glMultiTexCoordP3uiv(GLenum texture, GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glMultiTexCoordP3uiv(int texture, int type, IntBuffer coords)` Entry point to C language function: `void glMultiTexCoordP3uiv(GLenum texture, GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glMultiTexCoordP4ui(int texture, int type, int coords)` Entry point to C language function: `void glMultiTexCoordP4ui(GLenum texture, GLenum type, GLuint coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glMultiTexCoordP4uiv(int texture, int type, int[] coords, int coords_offset)` Entry point to C language function: `void glMultiTexCoordP4uiv(GLenum texture, GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glMultiTexCoordP4uiv(int texture, int type, IntBuffer coords)` Entry point to C language function: `void glMultiTexCoordP4uiv(GLenum texture, GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glNormalP3ui(int type, int coords)` Entry point to C language function: `void glNormalP3ui(GLenum type, GLuint coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glNormalP3uiv(int type, int[] coords, int coords_offset)` Entry point to C language function: `void glNormalP3uiv(GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glNormalP3uiv(int type, IntBuffer coords)` Entry point to C language function: `void glNormalP3uiv(GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glProvokingVertex(int mode)` Entry point to C language function: `void glProvokingVertex(GLenum mode)` Part of `GL_VERSION_3_2`, `GL_ARB_provoking_vertex`
    `void` | `glQueryCounter(int id, int target)` Entry point to C language function: `void glQueryCounter(GLuint id, GLenum target)` Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`
    `void` | `glSampleMaski(int index, int mask)` Entry point to C language function: `void glSampleMaski(GLuint index, GLbitfield mask)` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `void` | `glSamplerParameterIiv(int sampler, int pname, int[] param, int param_offset)` Entry point to C language function: `void glSamplerParameterIiv(GLuint sampler, GLenum pname, const GLint * param)` Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
    `void` | `glSamplerParameterIiv(int sampler, int pname, IntBuffer param)` Entry point to C language function: `void glSamplerParameterIiv(GLuint sampler, GLenum pname, const GLint * param)` Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
    `void` | `glSamplerParameterIuiv(int sampler, int pname, int[] param, int param_offset)` Entry point to C language function: `void glSamplerParameterIuiv(GLuint sampler, GLenum pname, const GLuint * param)` Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
    `void` | `glSamplerParameterIuiv(int sampler, int pname, IntBuffer param)` Entry point to C language function: `void glSamplerParameterIuiv(GLuint sampler, GLenum pname, const GLuint * param)` Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
    `void` | `glSecondaryColorP3ui(int type, int color)` Entry point to C language function: `void glSecondaryColorP3ui(GLenum type, GLuint color)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glSecondaryColorP3uiv(int type, int[] color, int color_offset)` Entry point to C language function: `void glSecondaryColorP3uiv(GLenum type, const GLuint * color)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glSecondaryColorP3uiv(int type, IntBuffer color)` Entry point to C language function: `void glSecondaryColorP3uiv(GLenum type, const GLuint * color)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP1ui(int type, int coords)` Entry point to C language function: `void glTexCoordP1ui(GLenum type, GLuint coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP1uiv(int type, int[] coords, int coords_offset)` Entry point to C language function: `void glTexCoordP1uiv(GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP1uiv(int type, IntBuffer coords)` Entry point to C language function: `void glTexCoordP1uiv(GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP2ui(int type, int coords)` Entry point to C language function: `void glTexCoordP2ui(GLenum type, GLuint coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP2uiv(int type, int[] coords, int coords_offset)` Entry point to C language function: `void glTexCoordP2uiv(GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP2uiv(int type, IntBuffer coords)` Entry point to C language function: `void glTexCoordP2uiv(GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP3ui(int type, int coords)` Entry point to C language function: `void glTexCoordP3ui(GLenum type, GLuint coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP3uiv(int type, int[] coords, int coords_offset)` Entry point to C language function: `void glTexCoordP3uiv(GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP3uiv(int type, IntBuffer coords)` Entry point to C language function: `void glTexCoordP3uiv(GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP4ui(int type, int coords)` Entry point to C language function: `void glTexCoordP4ui(GLenum type, GLuint coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP4uiv(int type, int[] coords, int coords_offset)` Entry point to C language function: `void glTexCoordP4uiv(GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexCoordP4uiv(int type, IntBuffer coords)` Entry point to C language function: `void glTexCoordP4uiv(GLenum type, const GLuint * coords)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glTexImage2DMultisample(int target, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)` Entry point to C language function: `void glTexImage2DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `void` | `glTexImage3DMultisample(int target, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)` Entry point to C language function: `void glTexImage3DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)` Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
    `void` | `glVertexAttribP1ui(int index, int type, boolean normalized, int value)` Entry point to C language function: `void glVertexAttribP1ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexAttribP1uiv(int index, int type, boolean normalized, int[] value, int value_offset)` Entry point to C language function: `void glVertexAttribP1uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexAttribP1uiv(int index, int type, boolean normalized, IntBuffer value)` Entry point to C language function: `void glVertexAttribP1uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexAttribP2ui(int index, int type, boolean normalized, int value)` Entry point to C language function: `void glVertexAttribP2ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexAttribP2uiv(int index, int type, boolean normalized, int[] value, int value_offset)` Entry point to C language function: `void glVertexAttribP2uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexAttribP2uiv(int index, int type, boolean normalized, IntBuffer value)` Entry point to C language function: `void glVertexAttribP2uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexAttribP3ui(int index, int type, boolean normalized, int value)` Entry point to C language function: `void glVertexAttribP3ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexAttribP3uiv(int index, int type, boolean normalized, int[] value, int value_offset)` Entry point to C language function: `void glVertexAttribP3uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexAttribP3uiv(int index, int type, boolean normalized, IntBuffer value)` Entry point to C language function: `void glVertexAttribP3uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexAttribP4ui(int index, int type, boolean normalized, int value)` Entry point to C language function: `void glVertexAttribP4ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexAttribP4uiv(int index, int type, boolean normalized, int[] value, int value_offset)` Entry point to C language function: `void glVertexAttribP4uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexAttribP4uiv(int index, int type, boolean normalized, IntBuffer value)` Entry point to C language function: `void glVertexAttribP4uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexP2ui(int type, int value)` Entry point to C language function: `void glVertexP2ui(GLenum type, GLuint value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexP2uiv(int type, int[] value, int value_offset)` Entry point to C language function: `void glVertexP2uiv(GLenum type, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexP2uiv(int type, IntBuffer value)` Entry point to C language function: `void glVertexP2uiv(GLenum type, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexP3ui(int type, int value)` Entry point to C language function: `void glVertexP3ui(GLenum type, GLuint value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexP3uiv(int type, int[] value, int value_offset)` Entry point to C language function: `void glVertexP3uiv(GLenum type, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexP3uiv(int type, IntBuffer value)` Entry point to C language function: `void glVertexP3uiv(GLenum type, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexP4ui(int type, int value)` Entry point to C language function: `void glVertexP4ui(GLenum type, GLuint value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexP4uiv(int type, int[] value, int value_offset)` Entry point to C language function: `void glVertexP4uiv(GLenum type, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `void` | `glVertexP4uiv(int type, IntBuffer value)` Entry point to C language function: `void glVertexP4uiv(GLenum type, const GLuint * value)` Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - ### Methods inherited from interface javax.media.opengl.GL3ES3

      `glBindSampler, glClientWaitSync, glDeleteSamplers, glDeleteSamplers, glDeleteSync, glFenceSync, glGenSamplers, glGenSamplers, glGetBufferParameteri64v, glGetBufferParameteri64v, glGetInteger64i_v, glGetInteger64i_v, glGetInteger64v, glGetInteger64v, glGetSamplerParameterfv, glGetSamplerParameterfv, glGetSamplerParameteriv, glGetSamplerParameteriv, glGetSynciv, glGetSynciv, glIsSampler, glIsSync, glSamplerParameterf, glSamplerParameterfv, glSamplerParameterfv, glSamplerParameteri, glSamplerParameteriv, glSamplerParameteriv, glVertexAttribDivisor, glWaitSync`

    - ### Methods inherited from interface javax.media.opengl.GL2GL3

      `glBeginConditionalRender, glBindFragDataLocation, glBufferAddressRangeNV, glClampColor, glClearNamedBufferDataEXT, glClearNamedBufferSubDataEXT, glColorFormatNV, glColorMaski, glCompileShaderIncludeARB, glCompileShaderIncludeARB, glCompressedTexImage1D, glCompressedTexImage1D, glCompressedTexSubImage1D, glCompressedTexSubImage1D, glCopyTexImage1D, glCopyTexSubImage1D, glCreateSyncFromCLeventARB, glDebugMessageEnableAMD, glDebugMessageEnableAMD, glDebugMessageInsertAMD, glDeleteNamedStringARB, glDisableClientState, glDisablei, glDrawBuffer, glEdgeFlagFormatNV, glEnableClientState, glEnablei, glEndConditionalRender, glFogCoordFormatNV, glFramebufferTexture1D, glFramebufferTextureARB, glFramebufferTextureFaceARB, glFramebufferTextureLayerARB, glGetActiveUniformName, glGetActiveUniformName, glGetBooleani_v, glGetBooleani_v, glGetBufferParameterui64vNV, glGetBufferParameterui64vNV, glGetBufferSubData, glGetCompressedTexImage, glGetCompressedTexImage, glGetDebugMessageLogAMD, glGetDebugMessageLogAMD, glGetDoublev, glGetDoublev, glGetIntegerui64i_vNV, glGetIntegerui64i_vNV, glGetIntegerui64vNV, glGetIntegerui64vNV, glGetNamedBufferParameterui64vNV, glGetNamedBufferParameterui64vNV, glGetNamedFramebufferParameterivEXT, glGetNamedFramebufferParameterivEXT, glGetNamedStringARB, glGetNamedStringARB, glGetNamedStringivARB, glGetNamedStringivARB, glGetnCompressedTexImage, glGetnTexImage, glGetnUniformdv, glGetnUniformdv, glGetnUniformuiv, glGetnUniformuiv, glGetQueryObjectiv, glGetQueryObjectiv, glGetTexImage, glGetTexImage, glGetTexLevelParameterfv, glGetTexLevelParameterfv, glGetTexLevelParameteriv, glGetTexLevelParameteriv, glGetTexParameterIiv, glGetTexParameterIiv, glGetTexParameterIuiv, glGetTexParameterIuiv, glGetUniformui64vNV, glGetUniformui64vNV, glGetVertexAttribdv, glGetVertexAttribdv, glImportSyncEXT, glIndexFormatNV, glIsBufferResidentNV, glIsEnabledi, glIsNamedBufferResidentNV, glIsNamedStringARB, glLogicOp, glMakeBufferNonResidentNV, glMakeBufferResidentNV, glMakeNamedBufferNonResidentNV, glMakeNamedBufferResidentNV, glMultiDrawArrays, glMultiDrawArrays, glMultiDrawArraysIndirectAMD, glMultiDrawElements, glMultiDrawElementsIndirectAMD, glNamedFramebufferParameteriEXT, glNamedStringARB, glNormalFormatNV, glPixelStoref, glPointParameterf, glPointParameterfv, glPointParameterfv, glPointParameteri, glPointParameteriv, glPointParameteriv, glPointSize, glPolygonMode, glPrimitiveRestartIndex, glProgramParameteriARB, glProgramUniformui64NV, glProgramUniformui64vNV, glProgramUniformui64vNV, glSecondaryColorFormatNV, glSetMultisamplefvAMD, glSetMultisamplefvAMD, glStencilOpValueAMD, glTessellationFactorAMD, glTessellationModeAMD, glTexBuffer, glTexCoordFormatNV, glTexImage1D, glTexImage1D, glTexImage2DMultisampleCoverageNV, glTexImage3DMultisampleCoverageNV, glTexParameterIiv, glTexParameterIiv, glTexParameterIuiv, glTexParameterIuiv, glTexSubImage1D, glTexSubImage1D, glTextureBufferRangeEXT, glTextureImage2DMultisampleCoverageNV, glTextureImage2DMultisampleNV, glTextureImage3DMultisampleCoverageNV, glTextureImage3DMultisampleNV, glUniformui64NV, glUniformui64vNV, glUniformui64vNV, glVertexArrayBindVertexBufferEXT, glVertexArrayVertexAttribBindingEXT, glVertexArrayVertexAttribFormatEXT, glVertexArrayVertexAttribIFormatEXT, glVertexArrayVertexAttribLFormatEXT, glVertexArrayVertexBindingDivisorEXT, glVertexAttrib1d, glVertexAttrib1dv, glVertexAttrib1dv, glVertexAttrib1s, glVertexAttrib1sv, glVertexAttrib1sv, glVertexAttrib2d, glVertexAttrib2dv, glVertexAttrib2dv, glVertexAttrib2s, glVertexAttrib2sv, glVertexAttrib2sv, glVertexAttrib3d, glVertexAttrib3dv, glVertexAttrib3dv, glVertexAttrib3s, glVertexAttrib3sv, glVertexAttrib3sv, glVertexAttrib4bv, glVertexAttrib4bv, glVertexAttrib4d, glVertexAttrib4dv, glVertexAttrib4dv, glVertexAttrib4iv, glVertexAttrib4iv, glVertexAttrib4Nbv, glVertexAttrib4Nbv, glVertexAttrib4Niv, glVertexAttrib4Niv, glVertexAttrib4Nsv, glVertexAttrib4Nsv, glVertexAttrib4Nub, glVertexAttrib4Nubv, glVertexAttrib4Nubv, glVertexAttrib4Nuiv, glVertexAttrib4Nuiv, glVertexAttrib4Nusv, glVertexAttrib4Nusv, glVertexAttrib4s, glVertexAttrib4sv, glVertexAttrib4sv, glVertexAttrib4ubv, glVertexAttrib4ubv, glVertexAttrib4uiv, glVertexAttrib4uiv, glVertexAttrib4usv, glVertexAttrib4usv, glVertexAttribFormatNV, glVertexAttribI1i, glVertexAttribI1iv, glVertexAttribI1iv, glVertexAttribI1ui, glVertexAttribI1uiv, glVertexAttribI1uiv, glVertexAttribI2i, glVertexAttribI2iv, glVertexAttribI2iv, glVertexAttribI2ui, glVertexAttribI2uiv, glVertexAttribI2uiv, glVertexAttribI3i, glVertexAttribI3iv, glVertexAttribI3iv, glVertexAttribI3ui, glVertexAttribI3uiv, glVertexAttribI3uiv, glVertexAttribI4bv, glVertexAttribI4bv, glVertexAttribI4sv, glVertexAttribI4sv, glVertexAttribI4ubv, glVertexAttribI4ubv, glVertexAttribI4usv, glVertexAttribI4usv, glVertexAttribIFormatNV, glVertexFormatNV`

    - ### Methods inherited from interface javax.media.opengl.GL2ES3

      `glBeginTransformFeedback, glBindBufferBase, glBindBufferRange, glBindVertexArray, glBlitFramebuffer, glClearBufferfi, glClearBufferfv, glClearBufferfv, glClearBufferiv, glClearBufferiv, glClearBufferuiv, glClearBufferuiv, glCopyBufferSubData, glDeleteVertexArrays, glDeleteVertexArrays, glDrawArraysInstanced, glDrawBuffers, glDrawBuffers, glDrawElementsInstanced, glDrawRangeElements, glEndTransformFeedback, glFramebufferTextureLayer, glGenVertexArrays, glGenVertexArrays, glGetActiveUniformBlockiv, glGetActiveUniformBlockiv, glGetActiveUniformBlockName, glGetActiveUniformBlockName, glGetActiveUniformsiv, glGetActiveUniformsiv, glGetFragDataLocation, glGetIntegeri_v, glGetIntegeri_v, glGetInternalformativ, glGetInternalformativ, glGetStringi, glGetTransformFeedbackVarying, glGetTransformFeedbackVarying, glGetUniformBlockIndex, glGetUniformIndices, glGetUniformIndices, glGetUniformuiv, glGetUniformuiv, glGetVertexAttribIiv, glGetVertexAttribIiv, glGetVertexAttribIuiv, glGetVertexAttribIuiv, glIsVertexArray, glReadBuffer, glRenderbufferStorageMultisample, glTransformFeedbackVaryings, glUniform1ui, glUniform1uiv, glUniform1uiv, glUniform2ui, glUniform2uiv, glUniform2uiv, glUniform3ui, glUniform3uiv, glUniform3uiv, glUniform4ui, glUniform4uiv, glUniform4uiv, glUniformBlockBinding, glUniformMatrix2x3fv, glUniformMatrix2x3fv, glUniformMatrix2x4fv, glUniformMatrix2x4fv, glUniformMatrix3x2fv, glUniformMatrix3x2fv, glUniformMatrix3x4fv, glUniformMatrix3x4fv, glUniformMatrix4x2fv, glUniformMatrix4x2fv, glUniformMatrix4x3fv, glUniformMatrix4x3fv, glVertexAttribI4i, glVertexAttribI4iv, glVertexAttribI4iv, glVertexAttribI4ui, glVertexAttribI4uiv, glVertexAttribI4uiv, glVertexAttribIPointer, isPBOPackBound, isPBOUnpackBound`

    - ### Methods inherited from interface javax.media.opengl.GL2ES2

      `glAttachShader, glBeginQuery, glBindAttribLocation, glBlendColor, glClearDepth, glClearDepthf, glCompileShader, glCompressedTexImage3D, glCompressedTexImage3D, glCompressedTexSubImage3D, glCompressedTexSubImage3D, glCopyTexSubImage3D, glCreateProgram, glCreateShader, glDebugMessageControl, glDebugMessageControl, glDebugMessageInsert, glDeleteProgram, glDeleteQueries, glDeleteQueries, glDeleteShader, glDepthRange, glDepthRangef, glDetachShader, glDisableVertexAttribArray, glEnableVertexAttribArray, glEndQuery, glFramebufferTexture3D, glGenQueries, glGenQueries, glGetActiveAttrib, glGetActiveAttrib, glGetActiveUniform, glGetActiveUniform, glGetAttachedShaders, glGetAttachedShaders, glGetAttribLocation, glGetDebugMessageLog, glGetDebugMessageLog, glGetObjectLabel, glGetObjectLabel, glGetObjectPtrLabel, glGetObjectPtrLabel, glGetProgramBinary, glGetProgramBinary, glGetProgramInfoLog, glGetProgramInfoLog, glGetProgramiv, glGetProgramiv, glGetQueryiv, glGetQueryiv, glGetQueryObjectuiv, glGetQueryObjectuiv, glGetShaderInfoLog, glGetShaderInfoLog, glGetShaderiv, glGetShaderiv, glGetShaderPrecisionFormat, glGetShaderPrecisionFormat, glGetShaderSource, glGetShaderSource, glGetUniformfv, glGetUniformfv, glGetUniformiv, glGetUniformiv, glGetUniformLocation, glGetVertexAttribfv, glGetVertexAttribfv, glGetVertexAttribiv, glGetVertexAttribiv, glIsProgram, glIsQuery, glIsShader, glLinkProgram, glObjectLabel, glObjectLabel, glObjectPtrLabel, glObjectPtrLabel, glPopDebugGroup, glProgramBinary, glPushDebugGroup, glPushDebugGroup, glReleaseShaderCompiler, glShaderBinary, glShaderBinary, glShaderSource, glShaderSource, glStencilFuncSeparate, glStencilMaskSeparate, glStencilOpSeparate, glTexImage3D, glTexImage3D, glTexSubImage3D, glTexSubImage3D, glUniform, glUniform1f, glUniform1fv, glUniform1fv, glUniform1i, glUniform1iv, glUniform1iv, glUniform2f, glUniform2fv, glUniform2fv, glUniform2i, glUniform2iv, glUniform2iv, glUniform3f, glUniform3fv, glUniform3fv, glUniform3i, glUniform3iv, glUniform3iv, glUniform4f, glUniform4fv, glUniform4fv, glUniform4i, glUniform4iv, glUniform4iv, glUniformMatrix2fv, glUniformMatrix2fv, glUniformMatrix3fv, glUniformMatrix3fv, glUniformMatrix4fv, glUniformMatrix4fv, glUseProgram, glValidateProgram, glVertexAttrib1f, glVertexAttrib1fv, glVertexAttrib1fv, glVertexAttrib2f, glVertexAttrib2fv, glVertexAttrib2fv, glVertexAttrib3f, glVertexAttrib3fv, glVertexAttrib3fv, glVertexAttrib4f, glVertexAttrib4fv, glVertexAttrib4fv, glVertexAttribPointer, glVertexAttribPointer`

    - ### Methods inherited from interface javax.media.opengl.GL

      `glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDisable, glDrawArrays, glDrawElements, glEnable, glFinish, glFlush, glFlushMappedBufferRange, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetGraphicsResetStatus, glGetIntegerv, glGetIntegerv, glGetnUniformfv, glGetnUniformfv, glGetnUniformiv, glGetnUniformiv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glLineWidth, glMapBuffer, glMapBufferRange, glPixelStorei, glPolygonOffset, glReadnPixels, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexStorage1D, glTexStorage2D, glTexStorage3D, glTexSubImage2D, glTexSubImage2D, glTextureStorage1D, glTextureStorage2D, glTextureStorage3D, glUnmapBuffer, glViewport`

    - ### Methods inherited from interface javax.media.opengl.GLBase

      `getBoundBuffer, getBoundFramebuffer, getBufferStorage, getContext, getDefaultDrawFramebuffer, getDefaultReadBuffer, getDefaultReadFramebuffer, getDownstreamGL, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2ES3, getGL2GL3, getGL3, getGL3bc, getGL3ES3, getGL4, getGL4bc, getGL4ES3, getGLES1, getGLES2, getGLES3, getGLProfile, getMaxRenderbufferSamples, getPlatformGLExtensions, getRootGL, getSwapInterval, hasBasicFBOSupport, hasFullFBOSupport, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2ES3, isGL2GL3, isGL3, isGL3bc, isGL3core, isGL3ES3, isGL4, isGL4bc, isGL4core, isGL4ES3, isGLcore, isGLES, isGLES1, isGLES2, isGLES2Compatible, isGLES3, isGLES3Compatible, isNPOTTextureAvailable, isTextureFormatBGRA8888Available, isVBOArrayBound, isVBOElementArrayBound, mapBuffer, mapBufferRange, setSwapInterval`

- - ### Field Detail

    - #### GL_CONTEXT_CORE_PROFILE_BIT

          static final int GL_CONTEXT_CORE_PROFILE_BIT

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_CONTEXT_COMPATIBILITY_PROFILE_BIT

          static final int GL_CONTEXT_COMPATIBILITY_PROFILE_BIT

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_LINES_ADJACENCY

          static final int GL_LINES_ADJACENCY

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_LINE_STRIP_ADJACENCY

          static final int GL_LINE_STRIP_ADJACENCY

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_TRIANGLES_ADJACENCY

          static final int GL_TRIANGLES_ADJACENCY

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_TRIANGLE_STRIP_ADJACENCY

          static final int GL_TRIANGLE_STRIP_ADJACENCY

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_POINT_SIZE

          static final int GL_PROGRAM_POINT_SIZE

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS

          static final int GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_LAYERED

          static final int GL_FRAMEBUFFER_ATTACHMENT_LAYERED

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS

          static final int GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_SHADER

          static final int GL_GEOMETRY_SHADER

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_VERTICES_OUT

          static final int GL_GEOMETRY_VERTICES_OUT

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_INPUT_TYPE

          static final int GL_GEOMETRY_INPUT_TYPE

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_OUTPUT_TYPE

          static final int GL_GEOMETRY_OUTPUT_TYPE

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_UNIFORM_COMPONENTS

          static final int GL_MAX_GEOMETRY_UNIFORM_COMPONENTS

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_OUTPUT_VERTICES

          static final int GL_MAX_GEOMETRY_OUTPUT_VERTICES

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS

          static final int GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_INPUT_COMPONENTS

          static final int GL_MAX_GEOMETRY_INPUT_COMPONENTS

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_OUTPUT_COMPONENTS

          static final int GL_MAX_GEOMETRY_OUTPUT_COMPONENTS

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_CONTEXT_PROFILE_MASK

          static final int GL_CONTEXT_PROFILE_MASK

      Part of `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_CLAMP

          static final int GL_DEPTH_CLAMP

      Part of `GL_VERSION_3_2`, `GL_ARB_depth_clamp`
      See Also:
        Constant Field Values

    - #### GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION

          static final int GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION

      Part of `GL_VERSION_3_2`, `GL_ARB_provoking_vertex`
      See Also:
        Constant Field Values

    - #### GL_FIRST_VERTEX_CONVENTION

          static final int GL_FIRST_VERTEX_CONVENTION

      Part of `GL_VERSION_3_2`, `GL_ARB_provoking_vertex`
      See Also:
        Constant Field Values

    - #### GL_LAST_VERTEX_CONVENTION

          static final int GL_LAST_VERTEX_CONVENTION

      Part of `GL_VERSION_3_2`, `GL_ARB_provoking_vertex`
      See Also:
        Constant Field Values

    - #### GL_PROVOKING_VERTEX

          static final int GL_PROVOKING_VERTEX

      Part of `GL_VERSION_3_2`, `GL_ARB_provoking_vertex`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_CUBE_MAP_SEAMLESS

          static final int GL_TEXTURE_CUBE_MAP_SEAMLESS

      Part of `GL_ARB_seamless_cube_map`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SAMPLE_POSITION

          static final int GL_SAMPLE_POSITION

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SAMPLE_MASK

          static final int GL_SAMPLE_MASK

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SAMPLE_MASK_VALUE

          static final int GL_SAMPLE_MASK_VALUE

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_SAMPLE_MASK_WORDS

          static final int GL_MAX_SAMPLE_MASK_WORDS

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_2D_MULTISAMPLE

          static final int GL_TEXTURE_2D_MULTISAMPLE

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_PROXY_TEXTURE_2D_MULTISAMPLE

          static final int GL_PROXY_TEXTURE_2D_MULTISAMPLE

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_2D_MULTISAMPLE_ARRAY

          static final int GL_TEXTURE_2D_MULTISAMPLE_ARRAY

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY

          static final int GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_2D_MULTISAMPLE

          static final int GL_TEXTURE_BINDING_2D_MULTISAMPLE

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY

          static final int GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_SAMPLES

          static final int GL_TEXTURE_SAMPLES

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_FIXED_SAMPLE_LOCATIONS

          static final int GL_TEXTURE_FIXED_SAMPLE_LOCATIONS

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_2D_MULTISAMPLE

          static final int GL_SAMPLER_2D_MULTISAMPLE

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_2D_MULTISAMPLE

          static final int GL_INT_SAMPLER_2D_MULTISAMPLE

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE

          static final int GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_2D_MULTISAMPLE_ARRAY

          static final int GL_SAMPLER_2D_MULTISAMPLE_ARRAY

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

          static final int GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

          static final int GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_COLOR_TEXTURE_SAMPLES

          static final int GL_MAX_COLOR_TEXTURE_SAMPLES

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_DEPTH_TEXTURE_SAMPLES

          static final int GL_MAX_DEPTH_TEXTURE_SAMPLES

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_INTEGER_SAMPLES

          static final int GL_MAX_INTEGER_SAMPLES

      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SRC1_COLOR

          static final int GL_SRC1_COLOR

      Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_ONE_MINUS_SRC1_COLOR

          static final int GL_ONE_MINUS_SRC1_COLOR

      Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_ONE_MINUS_SRC1_ALPHA

          static final int GL_ONE_MINUS_SRC1_ALPHA

      Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_MAX_DUAL_SOURCE_DRAW_BUFFERS

          static final int GL_MAX_DUAL_SOURCE_DRAW_BUFFERS

      Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_SWIZZLE_RGBA

          static final int GL_TEXTURE_SWIZZLE_RGBA

      Part of `GL_ARB_texture_swizzle`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_TIME_ELAPSED

          static final int GL_TIME_ELAPSED

      Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_TIMESTAMP

          static final int GL_TIMESTAMP

      Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_BPTC_UNORM_ARB

          static final int GL_COMPRESSED_RGBA_BPTC_UNORM_ARB

      Part of `GL_ARB_texture_compression_bptc`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB

          static final int GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB

      Part of `GL_ARB_texture_compression_bptc`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB

          static final int GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB

      Part of `GL_ARB_texture_compression_bptc`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB

          static final int GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB

      Part of `GL_ARB_texture_compression_bptc`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### glBindFragDataLocationIndexed

          void glBindFragDataLocationIndexed(int program,
                                           int colorNumber,
                                           int index,
                                           String name)

      Entry point to C language function: `void glBindFragDataLocationIndexed(GLuint program, GLuint colorNumber, GLuint index, const GLchar * name)`
      Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`

    - #### glColorP3ui

          void glColorP3ui(int type,
                         int color)

      Entry point to C language function: `void glColorP3ui(GLenum type, GLuint color)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glColorP3uiv

          void glColorP3uiv(int type,
                          IntBuffer color)

      Entry point to C language function: `void glColorP3uiv(GLenum type, const GLuint * color)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `color` - a direct or array-backed `IntBuffer`

    - #### glColorP3uiv

          void glColorP3uiv(int type,
                          int[] color,
                          int color_offset)

      Entry point to C language function: `void glColorP3uiv(GLenum type, const GLuint * color)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glColorP4ui

          void glColorP4ui(int type,
                         int color)

      Entry point to C language function: `void glColorP4ui(GLenum type, GLuint color)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glColorP4uiv

          void glColorP4uiv(int type,
                          IntBuffer color)

      Entry point to C language function: `void glColorP4uiv(GLenum type, const GLuint * color)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `color` - a direct or array-backed `IntBuffer`

    - #### glColorP4uiv

          void glColorP4uiv(int type,
                          int[] color,
                          int color_offset)

      Entry point to C language function: `void glColorP4uiv(GLenum type, const GLuint * color)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glDrawElementsBaseVertex

          void glDrawElementsBaseVertex(int mode,
                                      int count,
                                      int type,
                                      long indices_buffer_offset,
                                      int basevertex)

      Entry point to C language function: `void glDrawElementsBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLint basevertex)`
      Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`

    - #### glDrawElementsInstancedBaseVertex

          void glDrawElementsInstancedBaseVertex(int mode,
                                               int count,
                                               int type,
                                               long indices_buffer_offset,
                                               int instancecount,
                                               int basevertex)

      Entry point to C language function: `void glDrawElementsInstancedBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei instancecount, GLint basevertex)`
      Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`

    - #### glDrawRangeElementsBaseVertex

          void glDrawRangeElementsBaseVertex(int mode,
                                           int start,
                                           int end,
                                           int count,
                                           int type,
                                           long indices_buffer_offset,
                                           int basevertex)

      Entry point to C language function: `void glDrawRangeElementsBaseVertex(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices, GLint basevertex)`
      Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`

    - #### glFramebufferTexture

          void glFramebufferTexture(int target,
                                  int attachment,
                                  int texture,
                                  int level)

      Entry point to C language function: `void glFramebufferTexture(GLenum target, GLenum attachment, GLuint texture, GLint level)`
      Part of `GL_VERSION_3_2`

    - #### glGetFragDataIndex

          int glGetFragDataIndex(int program,
                               String name)

      Entry point to C language function: `GLint glGetFragDataIndex(GLuint program, const GLchar * name)`
      Part of `GL_ARB_blend_func_extended`, `GL_VERSION_3_3`

    - #### glGetMultisamplefv

          void glGetMultisamplefv(int pname,
                                int index,
                                FloatBuffer val)

      Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val)`
      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`
      Parameters:
        `val` - a direct or array-backed `FloatBuffer`

    - #### glGetMultisamplefv

          void glGetMultisamplefv(int pname,
                                int index,
                                float[] val,
                                int val_offset)

      Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val)`
      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`

    - #### glGetQueryObjecti64v

          void glGetQueryObjecti64v(int id,
                                  int pname,
                                  LongBuffer params)

      Entry point to C language function: `void glGetQueryObjecti64v(GLuint id, GLenum pname, GLint64 * params)`
      Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`
      Parameters:
        `params` - a direct or array-backed `LongBuffer`

    - #### glGetQueryObjecti64v

          void glGetQueryObjecti64v(int id,
                                  int pname,
                                  long[] params,
                                  int params_offset)

      Entry point to C language function: `void glGetQueryObjecti64v(GLuint id, GLenum pname, GLint64 * params)`
      Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`

    - #### glGetQueryObjectui64v

          void glGetQueryObjectui64v(int id,
                                   int pname,
                                   LongBuffer params)

      Entry point to C language function: `void glGetQueryObjectui64v(GLuint id, GLenum pname, GLuint64 * params)`
      Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`
      Parameters:
        `params` - a direct or array-backed `LongBuffer`

    - #### glGetQueryObjectui64v

          void glGetQueryObjectui64v(int id,
                                   int pname,
                                   long[] params,
                                   int params_offset)

      Entry point to C language function: `void glGetQueryObjectui64v(GLuint id, GLenum pname, GLuint64 * params)`
      Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`

    - #### glGetSamplerParameterIiv

          void glGetSamplerParameterIiv(int sampler,
                                      int pname,
                                      IntBuffer params)

      Entry point to C language function: `void glGetSamplerParameterIiv(GLuint sampler, GLenum pname, GLint * params)`
      Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetSamplerParameterIiv

          void glGetSamplerParameterIiv(int sampler,
                                      int pname,
                                      int[] params,
                                      int params_offset)

      Entry point to C language function: `void glGetSamplerParameterIiv(GLuint sampler, GLenum pname, GLint * params)`
      Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`

    - #### glGetSamplerParameterIuiv

          void glGetSamplerParameterIuiv(int sampler,
                                       int pname,
                                       IntBuffer params)

      Entry point to C language function: `void glGetSamplerParameterIuiv(GLuint sampler, GLenum pname, GLuint * params)`
      Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetSamplerParameterIuiv

          void glGetSamplerParameterIuiv(int sampler,
                                       int pname,
                                       int[] params,
                                       int params_offset)

      Entry point to C language function: `void glGetSamplerParameterIuiv(GLuint sampler, GLenum pname, GLuint * params)`
      Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`

    - #### glMultiDrawElementsBaseVertex

          void glMultiDrawElementsBaseVertex(int mode,
                                           IntBuffer count,
                                           int type,
                                           PointerBuffer indices,
                                           int drawcount,
                                           IntBuffer basevertex)

      Entry point to C language function: `void glMultiDrawElementsBaseVertex(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * const * indices, GLsizei drawcount, const GLint * basevertex)`
      Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`
      Parameters:
        `count` - a direct only `IntBuffer`
        `indices` - a direct only `PointerBuffer`
        `basevertex` - a direct only `IntBuffer`

    - #### glMultiTexCoordP1ui

          void glMultiTexCoordP1ui(int texture,
                                 int type,
                                 int coords)

      Entry point to C language function: `void glMultiTexCoordP1ui(GLenum texture, GLenum type, GLuint coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glMultiTexCoordP1uiv

          void glMultiTexCoordP1uiv(int texture,
                                  int type,
                                  IntBuffer coords)

      Entry point to C language function: `void glMultiTexCoordP1uiv(GLenum texture, GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `coords` - a direct or array-backed `IntBuffer`

    - #### glMultiTexCoordP1uiv

          void glMultiTexCoordP1uiv(int texture,
                                  int type,
                                  int[] coords,
                                  int coords_offset)

      Entry point to C language function: `void glMultiTexCoordP1uiv(GLenum texture, GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glMultiTexCoordP2ui

          void glMultiTexCoordP2ui(int texture,
                                 int type,
                                 int coords)

      Entry point to C language function: `void glMultiTexCoordP2ui(GLenum texture, GLenum type, GLuint coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glMultiTexCoordP2uiv

          void glMultiTexCoordP2uiv(int texture,
                                  int type,
                                  IntBuffer coords)

      Entry point to C language function: `void glMultiTexCoordP2uiv(GLenum texture, GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `coords` - a direct or array-backed `IntBuffer`

    - #### glMultiTexCoordP2uiv

          void glMultiTexCoordP2uiv(int texture,
                                  int type,
                                  int[] coords,
                                  int coords_offset)

      Entry point to C language function: `void glMultiTexCoordP2uiv(GLenum texture, GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glMultiTexCoordP3ui

          void glMultiTexCoordP3ui(int texture,
                                 int type,
                                 int coords)

      Entry point to C language function: `void glMultiTexCoordP3ui(GLenum texture, GLenum type, GLuint coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glMultiTexCoordP3uiv

          void glMultiTexCoordP3uiv(int texture,
                                  int type,
                                  IntBuffer coords)

      Entry point to C language function: `void glMultiTexCoordP3uiv(GLenum texture, GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `coords` - a direct or array-backed `IntBuffer`

    - #### glMultiTexCoordP3uiv

          void glMultiTexCoordP3uiv(int texture,
                                  int type,
                                  int[] coords,
                                  int coords_offset)

      Entry point to C language function: `void glMultiTexCoordP3uiv(GLenum texture, GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glMultiTexCoordP4ui

          void glMultiTexCoordP4ui(int texture,
                                 int type,
                                 int coords)

      Entry point to C language function: `void glMultiTexCoordP4ui(GLenum texture, GLenum type, GLuint coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glMultiTexCoordP4uiv

          void glMultiTexCoordP4uiv(int texture,
                                  int type,
                                  IntBuffer coords)

      Entry point to C language function: `void glMultiTexCoordP4uiv(GLenum texture, GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `coords` - a direct or array-backed `IntBuffer`

    - #### glMultiTexCoordP4uiv

          void glMultiTexCoordP4uiv(int texture,
                                  int type,
                                  int[] coords,
                                  int coords_offset)

      Entry point to C language function: `void glMultiTexCoordP4uiv(GLenum texture, GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glNormalP3ui

          void glNormalP3ui(int type,
                          int coords)

      Entry point to C language function: `void glNormalP3ui(GLenum type, GLuint coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glNormalP3uiv

          void glNormalP3uiv(int type,
                           IntBuffer coords)

      Entry point to C language function: `void glNormalP3uiv(GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `coords` - a direct or array-backed `IntBuffer`

    - #### glNormalP3uiv

          void glNormalP3uiv(int type,
                           int[] coords,
                           int coords_offset)

      Entry point to C language function: `void glNormalP3uiv(GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glProvokingVertex

          void glProvokingVertex(int mode)

      Entry point to C language function: `void glProvokingVertex(GLenum mode)`
      Part of `GL_VERSION_3_2`, `GL_ARB_provoking_vertex`

    - #### glQueryCounter

          void glQueryCounter(int id,
                            int target)

      Entry point to C language function: `void glQueryCounter(GLuint id, GLenum target)`
      Part of `GL_ARB_timer_query`, `GL_VERSION_3_3`

    - #### glSampleMaski

          void glSampleMaski(int index,
                           int mask)

      Entry point to C language function: `void glSampleMaski(GLuint index, GLbitfield mask)`
      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`

    - #### glSamplerParameterIiv

          void glSamplerParameterIiv(int sampler,
                                   int pname,
                                   IntBuffer param)

      Entry point to C language function: `void glSamplerParameterIiv(GLuint sampler, GLenum pname, const GLint * param)`
      Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
      Parameters:
        `param` - a direct or array-backed `IntBuffer`

    - #### glSamplerParameterIiv

          void glSamplerParameterIiv(int sampler,
                                   int pname,
                                   int[] param,
                                   int param_offset)

      Entry point to C language function: `void glSamplerParameterIiv(GLuint sampler, GLenum pname, const GLint * param)`
      Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`

    - #### glSamplerParameterIuiv

          void glSamplerParameterIuiv(int sampler,
                                    int pname,
                                    IntBuffer param)

      Entry point to C language function: `void glSamplerParameterIuiv(GLuint sampler, GLenum pname, const GLuint * param)`
      Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`
      Parameters:
        `param` - a direct or array-backed `IntBuffer`

    - #### glSamplerParameterIuiv

          void glSamplerParameterIuiv(int sampler,
                                    int pname,
                                    int[] param,
                                    int param_offset)

      Entry point to C language function: `void glSamplerParameterIuiv(GLuint sampler, GLenum pname, const GLuint * param)`
      Part of `GL_ARB_sampler_objects`, `GL_VERSION_3_3`

    - #### glSecondaryColorP3ui

          void glSecondaryColorP3ui(int type,
                                  int color)

      Entry point to C language function: `void glSecondaryColorP3ui(GLenum type, GLuint color)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glSecondaryColorP3uiv

          void glSecondaryColorP3uiv(int type,
                                   IntBuffer color)

      Entry point to C language function: `void glSecondaryColorP3uiv(GLenum type, const GLuint * color)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `color` - a direct or array-backed `IntBuffer`

    - #### glSecondaryColorP3uiv

          void glSecondaryColorP3uiv(int type,
                                   int[] color,
                                   int color_offset)

      Entry point to C language function: `void glSecondaryColorP3uiv(GLenum type, const GLuint * color)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glTexCoordP1ui

          void glTexCoordP1ui(int type,
                            int coords)

      Entry point to C language function: `void glTexCoordP1ui(GLenum type, GLuint coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glTexCoordP1uiv

          void glTexCoordP1uiv(int type,
                             IntBuffer coords)

      Entry point to C language function: `void glTexCoordP1uiv(GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `coords` - a direct or array-backed `IntBuffer`

    - #### glTexCoordP1uiv

          void glTexCoordP1uiv(int type,
                             int[] coords,
                             int coords_offset)

      Entry point to C language function: `void glTexCoordP1uiv(GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glTexCoordP2ui

          void glTexCoordP2ui(int type,
                            int coords)

      Entry point to C language function: `void glTexCoordP2ui(GLenum type, GLuint coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glTexCoordP2uiv

          void glTexCoordP2uiv(int type,
                             IntBuffer coords)

      Entry point to C language function: `void glTexCoordP2uiv(GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `coords` - a direct or array-backed `IntBuffer`

    - #### glTexCoordP2uiv

          void glTexCoordP2uiv(int type,
                             int[] coords,
                             int coords_offset)

      Entry point to C language function: `void glTexCoordP2uiv(GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glTexCoordP3ui

          void glTexCoordP3ui(int type,
                            int coords)

      Entry point to C language function: `void glTexCoordP3ui(GLenum type, GLuint coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glTexCoordP3uiv

          void glTexCoordP3uiv(int type,
                             IntBuffer coords)

      Entry point to C language function: `void glTexCoordP3uiv(GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `coords` - a direct or array-backed `IntBuffer`

    - #### glTexCoordP3uiv

          void glTexCoordP3uiv(int type,
                             int[] coords,
                             int coords_offset)

      Entry point to C language function: `void glTexCoordP3uiv(GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glTexCoordP4ui

          void glTexCoordP4ui(int type,
                            int coords)

      Entry point to C language function: `void glTexCoordP4ui(GLenum type, GLuint coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glTexCoordP4uiv

          void glTexCoordP4uiv(int type,
                             IntBuffer coords)

      Entry point to C language function: `void glTexCoordP4uiv(GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `coords` - a direct or array-backed `IntBuffer`

    - #### glTexCoordP4uiv

          void glTexCoordP4uiv(int type,
                             int[] coords,
                             int coords_offset)

      Entry point to C language function: `void glTexCoordP4uiv(GLenum type, const GLuint * coords)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glTexImage2DMultisample

          void glTexImage2DMultisample(int target,
                                     int samples,
                                     int internalformat,
                                     int width,
                                     int height,
                                     boolean fixedsamplelocations)

      Entry point to C language function: `void glTexImage2DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)`
      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`

    - #### glTexImage3DMultisample

          void glTexImage3DMultisample(int target,
                                     int samples,
                                     int internalformat,
                                     int width,
                                     int height,
                                     int depth,
                                     boolean fixedsamplelocations)

      Entry point to C language function: `void glTexImage3DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)`
      Part of `GL_ARB_texture_multisample`, `GL_VERSION_3_2`

    - #### glVertexAttribP1ui

          void glVertexAttribP1ui(int index,
                                int type,
                                boolean normalized,
                                int value)

      Entry point to C language function: `void glVertexAttribP1ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexAttribP1uiv

          void glVertexAttribP1uiv(int index,
                                 int type,
                                 boolean normalized,
                                 IntBuffer value)

      Entry point to C language function: `void glVertexAttribP1uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribP1uiv

          void glVertexAttribP1uiv(int index,
                                 int type,
                                 boolean normalized,
                                 int[] value,
                                 int value_offset)

      Entry point to C language function: `void glVertexAttribP1uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexAttribP2ui

          void glVertexAttribP2ui(int index,
                                int type,
                                boolean normalized,
                                int value)

      Entry point to C language function: `void glVertexAttribP2ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexAttribP2uiv

          void glVertexAttribP2uiv(int index,
                                 int type,
                                 boolean normalized,
                                 IntBuffer value)

      Entry point to C language function: `void glVertexAttribP2uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribP2uiv

          void glVertexAttribP2uiv(int index,
                                 int type,
                                 boolean normalized,
                                 int[] value,
                                 int value_offset)

      Entry point to C language function: `void glVertexAttribP2uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexAttribP3ui

          void glVertexAttribP3ui(int index,
                                int type,
                                boolean normalized,
                                int value)

      Entry point to C language function: `void glVertexAttribP3ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexAttribP3uiv

          void glVertexAttribP3uiv(int index,
                                 int type,
                                 boolean normalized,
                                 IntBuffer value)

      Entry point to C language function: `void glVertexAttribP3uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribP3uiv

          void glVertexAttribP3uiv(int index,
                                 int type,
                                 boolean normalized,
                                 int[] value,
                                 int value_offset)

      Entry point to C language function: `void glVertexAttribP3uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexAttribP4ui

          void glVertexAttribP4ui(int index,
                                int type,
                                boolean normalized,
                                int value)

      Entry point to C language function: `void glVertexAttribP4ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexAttribP4uiv

          void glVertexAttribP4uiv(int index,
                                 int type,
                                 boolean normalized,
                                 IntBuffer value)

      Entry point to C language function: `void glVertexAttribP4uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribP4uiv

          void glVertexAttribP4uiv(int index,
                                 int type,
                                 boolean normalized,
                                 int[] value,
                                 int value_offset)

      Entry point to C language function: `void glVertexAttribP4uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexP2ui

          void glVertexP2ui(int type,
                          int value)

      Entry point to C language function: `void glVertexP2ui(GLenum type, GLuint value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexP2uiv

          void glVertexP2uiv(int type,
                           IntBuffer value)

      Entry point to C language function: `void glVertexP2uiv(GLenum type, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glVertexP2uiv

          void glVertexP2uiv(int type,
                           int[] value,
                           int value_offset)

      Entry point to C language function: `void glVertexP2uiv(GLenum type, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexP3ui

          void glVertexP3ui(int type,
                          int value)

      Entry point to C language function: `void glVertexP3ui(GLenum type, GLuint value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexP3uiv

          void glVertexP3uiv(int type,
                           IntBuffer value)

      Entry point to C language function: `void glVertexP3uiv(GLenum type, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glVertexP3uiv

          void glVertexP3uiv(int type,
                           int[] value,
                           int value_offset)

      Entry point to C language function: `void glVertexP3uiv(GLenum type, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexP4ui

          void glVertexP4ui(int type,
                          int value)

      Entry point to C language function: `void glVertexP4ui(GLenum type, GLuint value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

    - #### glVertexP4uiv

          void glVertexP4uiv(int type,
                           IntBuffer value)

      Entry point to C language function: `void glVertexP4uiv(GLenum type, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glVertexP4uiv

          void glVertexP4uiv(int type,
                           int[] value,
                           int value_offset)

      Entry point to C language function: `void glVertexP4uiv(GLenum type, const GLuint * value)`
      Part of `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`

Copyright 2010 JogAmp Community.